Bug 460272 - system-config-samba can't handle valid smb.conf option variants without spaces
system-config-samba can't handle valid smb.conf option variants without spaces
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-samba (Show other bugs)
11
All Linux
medium Severity low
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 460269
  Show dependency treegraph
 
Reported: 2008-08-27 05:18 EDT by Nils Philippsen
Modified: 2010-04-28 11:13 EDT (History)
0 users

See Also:
Fixed In Version: system-config-samba-1.2.70
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-28 11:13:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nils Philippsen 2008-08-27 05:18:32 EDT
+++ This bug was initially created as a clone of Bug #460269 +++

Description of problem:
Samba ignores whitespace in its configuration parameters, treating "read only" the same as "readonly". But system-config-samba doesn't recognize the options without whitespace, ending with traceback.


Version-Release number of selected component (if applicable):
system-config-samba-1.2.41-3

How reproducible:
always

Steps to Reproduce:
1. remove whitespace from any smb.conf option name (i.e. "guest ok" ->"guestok")
2. check with testparm that samba is still happy with the altered option
3. run system-config-samba
  
Actual results:
traceback with AttributeError: ('guestok', 'yes') at the end

Expected results:
working system-config-samba

Additional info:
Recognizing "compacted" options is a documented feature of samba. See file format section of smb.conf manual page.
Comment 1 Bug Zapper 2008-11-25 21:51:55 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Nils Philippsen 2009-02-23 09:48:55 EST
fixed upstream: f1cb85a650d25c3402e9a35e8f3cfc037aafcf44
Comment 3 Bug Zapper 2009-06-09 05:41:29 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-04-27 08:12:48 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Nils Philippsen 2010-04-28 11:13:18 EDT
Long since fixed in system-config-samba-1.2.70.

Note You need to log in before you can comment on or make changes to this bug.